> For the complete documentation index, see [llms.txt](https://api.docs.blockbrain.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.blockbrain.ai/concepts/data-room.md).

# Data Rooms

**Data Rooms** are individual chat threads that you can create at the left side of the Knowledge Bot. This is where you start a conversation with the Knowledge Bot. It is a secure, organized workspace where users can centralize and manage project-specific knowledge.

**Each room includes:**

* **Chat thread**: Start conversations, ask questions, or use the Prompt Library and Workflows to speed up your prompt needs.
* **Data**: Upload or connect files, links, databases, and other types of data inside that room. So answers from AI stay focused on that topic.
* **Settings**: Control what knowledge is connected, what AI models (LLMs) are used, and how the room behaves.

### Managing Data Room

A Data Room / Conversation must be created and managed within an **Active Knowledge Bot** (See [Bot Relationship](/concepts/knowledge-bots.md#pre-defined-knowledge-bots-in-workshop-and-active-knowledge-bots-in-dashboards)).

#### Creating a Data Room

We support creating a data room directly from the `_id` of a `pre-defined` (workshop) knowledge bot or from the `_id` of an `active` (dashboard) knowledge bot.

In case an `active` knowledge bot replicating the `workshop` knowledge bot is not yet created, a new one will be created and attached to the `API Key` owner. If there's already one, this `active` knowledge bot will then be used to create the new data room. All created data rooms will be attached to an `active` knowledge bot regardless.

To create a new data room, use the following endpoint:

{% openapi src="<https://blocky.theblockbrain.ai/openapi.json>" path="/cortex/active-bot/{bot\_id}/convo" method="post" %}
<https://blocky.theblockbrain.ai/openapi.json>
{% endopenapi %}

The response contains the `dataRoomId (convo_id)` of the data room, and `activeBotId` of the `active` knowledge bot, which is required to access and manage data rooms. To retrieve details of a Data Room, use the following endpoint.

{% openapi src="<https://blocky.theblockbrain.ai/openapi.json>" path="/cortex/conversation/{convo\_id}" method="get" %}
<https://blocky.theblockbrain.ai/openapi.json>
{% endopenapi %}

#### Updating a Data Room

There are few aspects of a data room can be configured with a value, or leave as `null` to skip, see below table:

| Parameter                         | Type               | Description                                                                                                                                                                                                                                                            |
| --------------------------------- | ------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `name`                            | `string \| null`   | The name of the data room                                                                                                                                                                                                                                              |
| `knowledgeBase`                   | `string[] \| null` | List of databases to connect to the data room                                                                                                                                                                                                                          |
| `knowledgeBaseDestinationInsight` | `string[] \| null` | List of target databases to contribute knowledges to. See [Contributing Knowledge](broken://pages/XSA8Xjjoi6iFxI0WPQYg)                                                                                                                                                |
| `enableWebSearch`                 | `boolean \| null`  | Enable the bot to perform web search with [Tavily](https://tavily.com/) engine to provide knowledge from the internet to the bot context (this option overrides other types of knowledge sources e.g. databases, file injection, insights, ...)                        |
| `enableReranker`                  | `boolean \| null`  | Enable reranking function using `ms-marco-TinyBERT-L-2-v2` to rerank the fetched documents, provide more concise and relevant knowledges to the AI Model while reducing the context window used. This option will, however, increase processing time to get a response |
| `enableAgentRetrieval`            | `boolean \| null`  | Enable the intent agent to filter the most relevant databases / folder before performing the search method to retrieve knowledge                                                                                                                                       |

{% hint style="warning" %}
\`enableAutoResponse\` is deprecated and will be removed in the future releases
{% endhint %}

{% openapi src="<https://blocky.theblockbrain.ai/openapi.json>" path="/cortex/conversation/{convo\_id}" method="patch" %}
<https://blocky.theblockbrain.ai/openapi.json>
{% endopenapi %}

#### Deleteing a Data Room

Deleting a dataroom removes all the chat history and injected files in that data room.

{% hint style="warning" %}
Deleting a data room is \*\*NOT REVERSIBLE\*\*. Proceed with caution.
{% endhint %}

{% openapi src="<https://blocky.theblockbrain.ai/openapi.json>" path="/cortex/conversation/{convo\_id}" method="delete" %}
<https://blocky.theblockbrain.ai/openapi.json>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.blockbrain.ai/concepts/data-room.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
